Skip to main content
POST
Roll back an agent

Authorizations

Authorization
string
header
required

Session JWT. After nasiko auth login, print it with jq -r '.clusters[.active].token' ~/.nasiko/config.json. API keys aren't supported.

Path Parameters

id
string<uuid>
required

Agent id

Body

application/json

Optional; omit or send an empty body to use defaults

reason
string | null
target_version
string | null

Response

Rollback queued

agent_id
string<uuid>
required
build_id
string<uuid>
required
rolled_back_from
string
required
rolled_back_to
string
required
status
string
required